metadata:
    id: v1
    name: Street Spirit
    attribution: <a href="https://www.openstreetmap.org/copyright">© OpenStreetMap</a> contributors
    version: 0.0.1
    center: [6.152,46.44,15]
vector_layers:
    admin:
        description: Administrative boundaries
        sql:
          - minzoom: 4
            maxzoom: 14
            buffer: 16
            extent: 1024
            file: spirit/admin.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            buffer: 16
            extent: 4096
            file: spirit/admin.sql.jinja2
    admin-names:
        description: Administrative area names
        sql:
          - minzoom: 0
            maxzoom: 14
            buffer: 16
            extent: 512
            file: spirit/admin-names.sql.jinja2

    buildings:
        description: Building polygons
        sql:
          - minzoom: 13
            maxzoom: 14
            extent: 1024
            buffer: 2
            file: spirit/buildings.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 8
            file: spirit/buildings.sql.jinja2
    building-names:
        description: Building names
        sql:
          - minzoom: 15
            maxzoom: 15
            extent: 2048
            buffer: 8
            file: spirit/building-names.sql.jinja2
    building-heights:
        description: Building heights
        sql:
          - minzoom: 15
            maxzoom: 15
            extent: 2048
            buffer: 8
            file: spirit/building-heights.sql.jinja2
    water:
        description: Ocean and water polygons
        sql:
          - minzoom: 0
            maxzoom: 14
            extent: 1024
            file: spirit/water.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            file: spirit/water.sql.jinja2
    water-lines:
        description: Water linestrings
        fields:
            waterway: Type of waterway
            name: Name of waterway
        sql:
          - minzoom: 8
            maxzoom: 14
            extent: 1024
            buffer: 2
            file: spirit/water-lines.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 8
            file: spirit/water-lines.sql.jinja2
    water-names:
        description: Names for water bodies
        fields:
            name: Name of water body
        sql:
          - minzoom: 8
            maxzoom: 14
            extent: 1024
            buffer: 2
            file: spirit/water-names.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 8
            file: spirit/water-names.sql.jinja2
    roads:
        description: Linear road features
        fields:
            highway: Type of highway
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 1024
            buffer: 4
            file: spirit/roads-high.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 16
            file: spirit/roads-high.sql.jinja2
    barriers:
        description: Linear barrier features
        fields:
            barrier: Type of barrier
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 1024
            buffer: 4
            file: spirit/barriers.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 16
            file: spirit/barriers.sql.jinja2
    railways:
        description: Linear railway features
        fields:
            highway: Type of highway
        sql:
          - minzoom: 12
            maxzoom: 14
            extent: 1024
            buffer: 4
            file: spirit/railways-high.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 16
            file: spirit/railways-high.sql.jinja2
    aeroways:
        description: Runways and other aeroways
        fields: {}
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 1024
            buffer: 8
            file: spirit/aeroways.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 64 # Runways get wide at high zooms, so they need an extra-large buffer
            file: spirit/aeroways.sql.jinja2
    transit-points:
        description: Transit-oriented points
        fields:
            station: If the point is a station or stop
            mode: Mode of transportation
        sql:
          - minzoom: 12
            maxzoom: 14
            extent: 512
            buffer: 0
            file: spirit/transit-points.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 2048
            buffer: 0
            file: spirit/transit-points.sql.jinja2
    landuse:
        description: Various types of landuse
        fields:
            landuse: Type of landuse
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 1024
            buffer: 4
            file: spirit/landuse.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 16
            file: spirit/landuse.sql.jinja2
    landuse-names:
        description: Various types of landuse
        fields:
            landuse: Type of landuse
            name: Name of landuse
            way_area: Area in square meters in web mercator
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 256
            buffer: 0
            file: spirit/landuse-names.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 1024
            buffer: 0
            file: spirit/landuse-names.sql.jinja2
    education:
        description: Various types of educational areas
        fields:
            landuse: Type of landuse
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 1024
            buffer: 4
            file: spirit/education.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 16
            file: spirit/education.sql.jinja2
    education-names:
        description: Names of educational facilities
        fields:
            education: Type of landuse
            name: Name of education
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 256
            buffer: 0
            file: spirit/education-names.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 1024
            buffer: 0
            file: spirit/education-names.sql.jinja2
    leisure:
        description: Parks and other leisure areas
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 1024
            buffer: 4
            file: spirit/leisure.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 16
            file: spirit/leisure.sql.jinja2
    leisure-names:
        description: Parks and other leisure area names
        fields:
            way_area: Area in square meters in web mercator
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 256
            buffer: 0
            file: spirit/leisure-names.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 1024
            buffer: 0
            file: spirit/leisure-names.sql.jinja2
    settlements:
        description: Populated places
        fields: {}
        sql:
        sql:
          - minzoom: 8
            maxzoom: 14
            extent: 1024
            buffer: 4
            file: spirit/settlements.sql.jinja2
          - minzoom: 12
            maxzoom: 15
            extent: 1024
            buffer: 16
            file: spirit/settlements.sql.jinja2
    vegetation:
        description: vegetation areas
        fields:
            vegetation: Type of vegetation. One of wood, heath, scrub, wetland, or grass
            wetland: Wetland tag, if the object is a wetland
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 1024
            buffer: 4
            file: spirit/vegetation.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 16
            file: spirit/vegetation.sql.jinja2
    vegetation-names:
        description: vegetation names
        fields:
            vegetation: Type of vegetation. One of wood, heath, scrub, wetland, or grass
            wetland: Wetland tag, if the object is a wetland
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 256
            buffer: 4
            file: spirit/vegetation-names.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 1024
            buffer: 16
            file: spirit/vegetation-names.sql.jinja2
    rock:
        description: rock areas
        fields:
            rock: Type of rock. One of bare_rock
            bare_rock: bare_rock tag, if the object is a bare_rock area
        sql:
          - minzoom: 10
            maxzoom: 14
            extent: 1024
            buffer: 4
            file: spirit/rock.sql.jinja2
          - minzoom: 15
            maxzoom: 15
            extent: 4096
            buffer: 16
            file: spirit/rock.sql.jinja2
    food:
        description: Food-related POIs
        fields:
            name: Name of food POI
        sql:
          - minzoom: 15
            maxzoom: 15
            extent: 1024
            buffer: 16
            file: spirit/food.sql.jinja2
    plants:
        description: Plants-related POIs
        fields:
            name: Name of plantPOI
        sql:
          - minzoom: 12
            maxzoom: 15
            extent: 1024
            buffer: 16
            file: spirit/plants.sql.jinja2
